package org.gcube.gcat.rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

import org.gcube.gcat.ResourceInitializer;
import org.gcube.gcat.persistence.ckan.CKANLicense;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@Path(BaseREST.LICENSES)
public class License extends REST<CKANLicense> {

	public License() {
		super(BaseREST.LICENSES, null, CKANLicense.class);
	}
	
	@GET
	@Produces(ResourceInitializer.APPLICATION_JSON_CHARSET_UTF_8)
	@Override
	public String list() {
		return super.list();
	}
	
}
